
/** An instance is a circle of radius r; the top-left corner
 * of its bounding box is (x, y). */
public class Circle extends Shape {
    protected double radius; // radius of circle

    /** Constructor: a circle with radius r and bounding box with
     * top-left corner (x, y)	 */
    public Circle(double x, double y, double r) {
        super(x, y);
        radius= r;
    }

    /** Return true iff this and ob are the same class, have the same
     * position in the plane, and have the same radius. */
   public @Override boolean equals(Object ob) {
       if (!super.equals(ob)) return false;

       Circle or= (Circle) ob;
       return radius == or.radius;
   }

    /** Return the area of this circle. */
    public @Override double area() {
        return Math.PI * radius * radius;
    }

    /** Return a repr of this Circle. */
    public @Override String toString() {
        return "Circle with radius " + radius + 
                " at " + super.toString();
    }

}
