/** An instance is a rectangle in the plane. */
public class Rectangle extends Shape {
	protected double width; // width and height of this rectangle
	protected double height;
	
	/** Constructor a rectangle of width w and height h at (x, y) */
	public Rectangle(double x, double y, double w, double h) {
		super(x,y);
		width= w;
		height= h;
	}

	/** Return true iff this and ob are the same class, have the same
	  * position in the plane, and have the same width and height. */
	public @Override boolean equals(Object ob) {
	    if (!super.equals(ob)) return false;

		Rectangle or= (Rectangle) ob;
		return width == or.width  &&  height == or.height;
	}

	/** = the area of this Rectangle */
	public @Override double area() {
		return width * height;
	}
	
	/** Return a repr of this Rectangle. */
    public @Override String toString() {
        return "Rect with width and height +"
                + "(" + width + ", " + height + ")" + 
                " at " + super.toString();
    }
}
