/** An instance maintains a time of day. */
public class Time implements Comparable<Time> {
    private int min; // minutes of the day, in 0..24*60-1

    
    /** Constructor: an instance with h hours and m minutes.
      * Precondition: h 0...23, m in 0...59*/
    public Time (int h, int m) {
        min= 24*h + m;
    }
    
    /** Constructor: an instance with m minutes, m in 0..24*60-1 */
    public Time (int m) {
        min= m;
    }
    
    /** = the hour of the day. */
    public int hour() {
        return min/60;
    }
    
    /** = the minute of the hour. */
    public int minute() {
        return min%60;
    }
    
    /** = representation of this Time, in the form hours:minutes */
    public String toString() {
        return (min/60) + ":" + (min%60);
    }
    
    /** Return negative, 0 or positive depending on whether this is
     * less, than equal to, or greater than t. */
    public @Override int compareTo(Time t) {
        return min - t.min;
    }
    
    /** Return a list of the elements of t, 
     * separated by commas, delimited by [ ]  */
    public static String toString(Time[] t) {
        String res= "[";
        // inv: res contains all values in s[0..k-1].
        for (int k= 0; k != t.length; k= k+1) {
            res= res + t[k];
            if (k < t.length-1) res= res + ", ";
        }
        return res + "]";
    }
    
}